% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions-XCMSnExp.R
\name{findChromPeaksIsolationWindow}
\alias{findChromPeaksIsolationWindow}
\title{Data independent acquisition (DIA): peak detection in isolation windows}
\usage{
findChromPeaksIsolationWindow(object, param, msLevel = 2L,
  isolationWindow = isolationWindowTargetMz(object), ...)
}
\arguments{
\item{object}{\code{OnDiskMSnExp} or \code{XCMSnExp} object with the DIA data.}

\item{param}{Peak detection parameter object, such as a
\linkS4class{CentWaveParam} object defining and configuring the chromographic
peak detection algorithm.
See also \code{\link[=findChromPeaks]{findChromPeaks()}} for more details.}

\item{msLevel}{\code{integer(1)} specifying the MS level in which the peak
detection should be performed. By default \code{msLevel = 2L}.}

\item{isolationWindow}{\code{factor} or similar defining the isolation windows in
which the peak detection should be performed with length equal to the
number of spectra in \code{object}.}

\item{...}{currently not used.}
}
\value{
An \code{XCMSnExp} object with the chromatographic peaks identified in spectra of
each isolation window from each file added to the \code{chromPeaks} matrix.
Isolation window definition for each identified peak are stored as additional
columns in \code{\link[=chromPeakData]{chromPeakData()}}.
}
\description{
The \code{findChromPeaksIsolationWindow} function allows to perform a
chromatographic peak detection in MS level > 1 spectra of certain isolation
windows (e.g. SWATH pockets). The function performs a peak detection,
separately for all spectra belonging to the same isolation window and adds
them to the \code{\link[=chromPeaks]{chromPeaks()}} matrix of the result object, information about
the isolation window they were detected in is added to \code{\link[=chromPeakData]{chromPeakData()}}.
Note that peak detection with this method does not remove previously
identified chromatographic peaks (e.g. on MS1 level using the
\code{\link[=findChromPeaks]{findChromPeaks()}} function but adds newly identified peaks to the existing
\code{\link[=chromPeaks]{chromPeaks()}} matrix.

Isolation windows can be defined with the \code{isolationWindow} parameter, that
by default uses the definition of \code{\link[=isolationWindowTargetMz]{isolationWindowTargetMz()}}, i.e.
chromatographic peak detection is performed for all spectra with the same
isolation window target m/z (seprarately for each file). The parameter
\code{param} allows to define and configure the peak detection algorithm (see
\code{\link[=findChromPeaks]{findChromPeaks()}} for more information).
}
\seealso{
\code{\link[=reconstructChromPeakSpectra]{reconstructChromPeakSpectra()}} for the function to reconstruct
MS2 spectra for each MS1 chromatographic peak.
}
\author{
Johannes Rainer, Michael Witting
}
